SpeculatorEvent (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.speculate, class: SpeculatorEvent

Package org.apache.hadoop.mapreduce.v2.app.speculate

# Class SpeculatorEvent

java.lang.Object
org.apache.hadoop.yarn.event.AbstractEvent<Speculator.EventType>
org.apache.hadoop.mapreduce.v2.app.speculate.SpeculatorEvent

All Implemented Interfaces:
  `org.apache.hadoop.yarn.event.Event<Speculator.EventType>`

public class SpeculatorEvent extends org.apache.hadoop.yarn.event.AbstractEvent<Speculator.EventType>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpeculatorEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobID, long timestamp)`
  `SpeculatorEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId attemptID, boolean flag, long timestamp)`
  `SpeculatorEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskId taskID, int containersNeededChange)`
  `SpeculatorEvent(TaskAttemptStatusUpdateEvent.TaskAttemptStatus reportedStatus, long timestamp)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `containersNeededChange()`
  `org.apache.hadoop.mapreduce.v2.api.records.JobId`
  `getJobID()`
  `TaskAttemptStatusUpdateEvent.TaskAttemptStatus`
  `getReportedStatus()`
  `org.apache.hadoop.mapreduce.v2.api.records.TaskId`
  `getTaskID()`

  ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

  `getTimestamp, getType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SpeculatorEvent

    public SpeculatorEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobID, long timestamp)

  - ### SpeculatorEvent

    public SpeculatorEvent(TaskAttemptStatusUpdateEvent.TaskAttemptStatus reportedStatus, long timestamp)

  - ### SpeculatorEvent

    public SpeculatorEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId attemptID, boolean flag, long timestamp)

  - ### SpeculatorEvent

    public SpeculatorEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskId taskID, int containersNeededChange)

- ## Method Details

  - ### getReportedStatus

    public TaskAttemptStatusUpdateEvent.TaskAttemptStatus getReportedStatus()

  - ### containersNeededChange

    public int containersNeededChange()

  - ### getTaskID

    public org.apache.hadoop.mapreduce.v2.api.records.TaskId getTaskID()

  - ### getJobID

    public org.apache.hadoop.mapreduce.v2.api.records.JobId getJobID()